Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036003
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discounts and Promotionsmajoralways2017-05-16 11:192017-05-24 12:03
ReporterlorenzofidalgoView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityimmediateResolutionfixedFixed in VersionRR17Q3
StatusclosedFix in branchFixed in SCM revision5fbd0b50f1ad
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionmainSCM revision 
Review Assigned Tomarvintm
Regression levelProduction - Confirmed Stable
Regression date2016-08-24
Regression introduced in releaseRR16Q4.3
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/94dca5a2d2faa9390d578f061ce048616aa03514 [^]
Triggers an Emergency PackNo
Summary

0036003: [RR17Q2] POS breaks when several discounts are applied to same product

DescriptionWhen two discounts are applied to same product, adding several lines of same discounted product induces errors in POS.
I have reproduced this issue in RR17Q2, RR17Q1.1 and RR16Q4.3. I have not been able to reproduce this issue in RR16Q3.5 or RR16Q2.4.
This issue has been reproduced following these test cases:
https://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-9442 [^]
https://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-9443 [^]
Steps To ReproduceLog in ERP as Group -Admin-The White Valley Group
Go to Discounts and Promotions window
Create new record
Header tab
Discount type: Buy X pay Y of same product
Name: Discount 3x2 of same product (Re-Factor)
Starting date: 01-01-2012
Priority: 10
Apply Next Discount/Promotion: Unchecked
Included Products: Only those defined
X: 3
Y: 2
Products tab
Product: Bottle 1 L

Product configuration:
Log in ERP as Group -Admin-The White Valley Group
Go to product window
Then select product “Bottle 1L”
Then change the field “Grouped” to
· Grouped: Unchecked

Then click Ctrl + s to save the changes
----

In Discounts and Promotions window

Create new record

Header tab

Discount type: Buy X pay Y of Different product
Name: Discount 3x2 (Re-Factor II)
Starting date: 01-01-2012
Priority: 20
Apply Next Discount/Promotion: Unchecked
Included Products: Only those defined
X: 3
Y: 2
Products tab

Product: Bottle 1 L
Product: Plastic Bottle
Product configuration:

Log in ERP as Group -Admin-The White Valley Group

Go to product window

Then select product “Plastic Bottle”

Then change the field “Grouped” to

· Grouped: Unchecked

Then click Ctrl + s to save the changes
----

Now, go to POS, login, search Bottle 1L product and click 6 times to add 6 Bottle 1L to the receipt. Verify that the total amount of the receipt is not properly calculated, and the button becomes stuck.

TagsNo tags attached.
Attached Filespng file icon TwoDiscounts.png [^] (272,591 bytes) 2017-05-16 11:19
log file icon TwoDiscounts.log [^] (1,408 bytes) 2017-05-16 11:19

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0036041RR17Q2 closedranjith_qualiantech_com [RR17Q2] POS breaks when several discounts are applied to same product 
depends on backport 0036042RR17Q1.2 closedranjith_qualiantech_com [RR17Q2] POS breaks when several discounts are applied to same product 

-  Notes
(0096635)
hgbot (developer)
2017-05-17 11:22

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5fbd0b50f1ad90e371e34413b47ee88a1bdaa256
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed May 17 14:51:26 2017 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5fbd0b50f1ad90e371e34413b47ee88a1bdaa256 [^]

Fixed issue 36003 : Validated promotions while calculating receipt taxes

* In some cases, Promotions Amount will be zero. So it needs to be validated to calculate receipt

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0096636)
hgbot (developer)
2017-05-17 11:25

Repository: tools/automation/pi-mobile
Changeset: 3b8f7b207c8c6a402b88c7d846a00b1460eef043
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed May 17 14:46:01 2017 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/3b8f7b207c8c6a402b88c7d846a00b1460eef043 [^]

Verifies issue 36003 : Added automated test 'I36003_VerifyDiscountWithNonGroupedProduct'

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/discountsandpromotions/I36003_VerifyDiscountWithNonGroupedProduct.java
---

- Issue History
Date Modified Username Field Change
2017-05-16 11:19 lorenzofidalgo New Issue
2017-05-16 11:19 lorenzofidalgo Assigned To => Retail
2017-05-16 11:19 lorenzofidalgo File Added: TwoDiscounts.png
2017-05-16 11:19 lorenzofidalgo Regression level => Production - Confirmed Stable
2017-05-16 11:19 lorenzofidalgo Regression introduced in release => RR16Q4.3
2017-05-16 11:19 lorenzofidalgo Triggers an Emergency Pack => No
2017-05-16 11:19 lorenzofidalgo File Added: TwoDiscounts.log
2017-05-16 11:19 lorenzofidalgo Steps to Reproduce Updated View Revisions
2017-05-16 11:21 lorenzofidalgo Description Updated View Revisions
2017-05-16 13:35 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2017-05-16 13:40 ranjith_qualiantech_com Regression date => 2016-08-24
2017-05-16 13:40 ranjith_qualiantech_com Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/94dca5a2d2faa9390d578f061ce048616aa03514 [^]
2017-05-16 13:40 ranjith_qualiantech_com Status new => scheduled
2017-05-17 11:22 hgbot Checkin
2017-05-17 11:22 hgbot Note Added: 0096635
2017-05-17 11:22 hgbot Status scheduled => resolved
2017-05-17 11:22 hgbot Resolution open => fixed
2017-05-17 11:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5fbd0b50f1ad90e371e34413b47ee88a1bdaa256 [^]
2017-05-17 11:25 hgbot Checkin
2017-05-17 11:25 hgbot Note Added: 0096636
2017-05-18 15:49 marvintm Status resolved => new
2017-05-18 15:49 marvintm Resolution fixed => open
2017-05-18 15:50 marvintm Status new => scheduled
2017-05-18 15:50 marvintm Status scheduled => resolved
2017-05-18 15:50 marvintm Fixed in Version => RR17Q3
2017-05-18 15:50 marvintm Resolution open => fixed
2017-05-22 18:22 marvintm Review Assigned To => marvintm
2017-05-22 18:22 marvintm Status resolved => closed
2017-05-24 11:32 marvintm Issue cloned 0036082
2017-05-24 12:03 marvintm Steps to Reproduce Updated View Revisions


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker